package com.pss.pssgerenciamentoderepublica.view;

import javax.swing.JButton;
import javax.swing.JTable;

public class ReclamacaoView extends javax.swing.JFrame {

    /**
     * Creates new form ReclamacaoView
     */
    public ReclamacaoView() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jTabbedPane1 = new javax.swing.JTabbedPane();
        jScrollPane1 = new javax.swing.JScrollPane();
        tblResolucao = new javax.swing.JTable();
        jScrollPane2 = new javax.swing.JScrollPane();
        tblConfirmacao = new javax.swing.JTable();
        btnResolvido = new javax.swing.JButton();
        btnConfirmar = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("Confirmação / Resolução de Reclamações");

        tblResolucao.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {

            },
            new String [] {
                "Descrição", "Data de Abertura", "Rosolvida (Sim / Não)"
            }
        ));
        tblResolucao.setAutoscrolls(false);
        jScrollPane1.setViewportView(tblResolucao);
        if (tblResolucao.getColumnModel().getColumnCount() > 0) {
            tblResolucao.getColumnModel().getColumn(0).setMinWidth(650);
            tblResolucao.getColumnModel().getColumn(0).setMaxWidth(650);
        }

        jTabbedPane1.addTab("Resolução", jScrollPane1);

        tblConfirmacao.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {

            },
            new String [] {
                "Autor", "Descrição", "Data de Abertura", "Data de Solução"
            }
        ));
        jScrollPane2.setViewportView(tblConfirmacao);

        jTabbedPane1.addTab("Confirmação", jScrollPane2);

        btnResolvido.setText("Marcar como Resolvida");
        btnResolvido.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnResolvidoActionPerformed(evt);
            }
        });

        btnConfirmar.setText("Confirmar Solução");
        btnConfirmar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnConfirmarActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jTabbedPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 1010, Short.MAX_VALUE)
                    .addGroup(layout.createSequentialGroup()
                        .addGap(0, 0, Short.MAX_VALUE)
                        .addComponent(btnConfirmar, javax.swing.GroupLayout.PREFERRED_SIZE, 189, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(btnResolvido, javax.swing.GroupLayout.PREFERRED_SIZE, 189, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jTabbedPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 301, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(btnResolvido, javax.swing.GroupLayout.PREFERRED_SIZE, 32, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(btnConfirmar, javax.swing.GroupLayout.PREFERRED_SIZE, 32, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(13, Short.MAX_VALUE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void btnResolvidoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnResolvidoActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_btnResolvidoActionPerformed

    private void btnConfirmarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnConfirmarActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_btnConfirmarActionPerformed

    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnConfirmar;
    private javax.swing.JButton btnResolvido;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JScrollPane jScrollPane2;
    private javax.swing.JTabbedPane jTabbedPane1;
    private javax.swing.JTable tblConfirmacao;
    private javax.swing.JTable tblResolucao;
    // End of variables declaration//GEN-END:variables

    public JButton getBtnConfirmar() {
        return btnConfirmar;
    }

    public JButton getBtnResolvido() {
        return btnResolvido;
    }

    public JTable getTblConfirmacao() {
        return tblConfirmacao;
    }

    public JTable getTblResolucao() {
        return tblResolucao;
    }

    

    
    
}
